Perl::Critic::Exception::Configuration::Generic(3)

NAME
Perl::Critic::Exception::Configuration::Generic - A problem with Perl::Critic configuration that doesn't involve an option.

DESCRIPTION
A representation of a problem found with the configuration of Perl::Critic, whether from a .perlcriticrc, another profile file, or command line.

This covers things like file reading and parsing errors.

INTERFACE SUPPORT
This is considered to be a public class. Any changes to its interface will go through a deprecation cycle.

CLASS METHODS

"throw( message => $message, source => $source )"
    See "throw" in Exception::Class.

"new( message => $message, source => $source )"
    See "new" in Exception::Class.

AUTHOR
Elliot Shank <perl@galumph.com>

COPYRIGHT
Copyright (c) 2007-2011 Elliot Shank.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself. The full text of this license can be found in the LICENSE file included with this module.